
#ifndef __HWCTRL_H__
#define __HWCTRL_H__
#include "r_cg_macrodriver.h"



#define KEY_Long_PRESSED     2
#define KEY_PRESSED     1
#define KEY_NOPRESSED   0




uint8_t GetKeyState(uint8_t keyno);
void KeyScan(void);
uint8_t GetIOState(uint8_t keyno);
void ad_handle(void);
uint16_t getAdval(uint8_t ch);
void ClearKeyState(void);
uint8_t getKeyReleaseFlag(uint8_t id);
uint8_t getKeyPressFlag(uint8_t id);



#endif
